petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGetSetUpFailedReason

Gets the reason a PCSetUp() failed or 0 if it did not fail

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetSetUpFailedReason(PC pc,PCFailedReason *reason)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

reason -the reason it failed, currently only -1 Many br

Many br

### Keywords

PC, setup

### See Also

PCCreate(), PCApply(), PCDestroy()

Level:advanced
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages